﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title></title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Assured Compliance</h1>
        <h2 id="AssuredCompliance-Overview">Overview</h2>
        <p>Assured Compliance is a set of prebuilt controls that run to monitor and make the features work as per the configured business processes across all the modules of the Saviynt Identity Governance and Administration (IGA). Saviynt technology has been built with baked-in self-monitoring to provide full visibility in case the feature is not able to process in its entirety. There are logical checkpoints that allow the feature to evaluate whether the processing is as per the configured business process and if not, then the system tries to self-heal. In case if the self-healing does not work, then the visibility of the process/ event is brought to the owner’s attention via notifications and continuous reminders. Once the owners are notified, they get the option to manually fix the issue.</p>
        <p>&#160;Below are a few of the controls that the system monitors per module:</p>
        <h2 id="AssuredCompliance-AccessRequest">Access Request</h2>
        <ol>
            <li>
                <p><strong>Monitor Access Revokes</strong>: ­Enables monitoring the access revoke tasks generated from Access Requests. For example, a sudden spike in revoke access requests is alarming and must be closely monitored to avoid inaccurate access revokes in the system.</p>
            </li>
            <li>
                <p><strong>Monitor provisioning failures</strong>: &#160;If the provisioning tasks are failing too often, it needs immediate attention. Using this control, you can check the provisioning-task failures and reason for failure. </p>
            </li>
            <li>
                <p><strong>Firefighter access de-provisioning</strong>: Emergency access requests are time-bound access with start and end date. It is vital to ensure access is deprovisioned after the end date. Prolonged access for critical crown jewel applications such as Financial Applications after end date can lead to undesired financial activities. Using this control you can monitor Emergency access deprovisioning on end date and if at all access-deprovisioning is failing or not.</p>
            </li>
            <li>
                <p><strong>Out of band changes</strong>: Access given directly to 3<sup>rd </sup>party application outside from Saviynt, needs to be closely monitored when using IGA tool to manage your identities. For example, direct access given to Active Directory (AD) is non-compliant and can be tracked using this control.</p>
            </li>
        </ol>
        <h2 id="AssuredCompliance-Rules">Rules</h2>
        <ol>
            <li>
                <p><strong>Rule execution completeness</strong>: Saviynt provides configuring various business policy rules such as Technical Rule, User Update Rule, etc. The Rule Execution Trail feature helps you to identify the cause for a rule failing, actions configured in rule, data prior and after applying the rule, and status of the rule whether it was successfully completed or failed.</p>
            </li>
            <li>
                <p><strong>Out of band changes</strong>: Policies within IGA are business rules to easily assign access when employee joins an organization, change accesses when employees move from one department to another, and revoke access when employee leaves. Using this control, you can monitor incorrect access provided to an application that is not defined in the Rule. For example, in the Technical Rule, birth-right access is given for ‘SAP’, but access is being given for ‘Oracle’ that is not defined in the Rule. &#160;</p>
            </li>
        </ol>
        <h2 id="AssuredCompliance-Certification">Certification</h2>
        <ol>
            <li>
                <p><strong>Pre and post-launch validation</strong>: &#160;This control helps in data integrity checks like missing emails, missing managers, inactive managers before and after launching the campaign. The pre-validation campaign checks can be performed using the preview, campaign summary, and export options. The post-validation campaign checks after the campaign are completed can be done by verifying using ARS tasks and the export of campaigns to check if revoke tasks are created or not.      &#160;&#160;&#160;&#160; &#160;</p>
            </li>
            <li>
                <p><strong>Track completeness of Revokes from certifications: </strong>Using this control, you can monitor if revoke tasks are created from certifications when applying a revoke action on an account, entitlement, role. This helps to double-check, if certifications are correctly working or if there is a gap that needs to be addressed. When revoke tasks are not created upon performing revoke action in certification, that needs to be immediately checked. </p>
            </li>
            <li>
                <p><strong>Out of band changes</strong>: Even after certifying revoking access if the user is still having access that is being given outside of Saviynt, it can be tracked using this control. For example, you have revoked access for AD using certification, still, the user is given direct access outside of IGA from AD, it can be tracked using this control.&#160;</p>
            </li>
        </ol>
        <h2 id="AssuredCompliance-ComplianceControls">Compliance Controls</h2>
        <ol>
            <li>
                <p><strong>Continuous monitoring of SOD Violations in a preventative and detective manner</strong>: Using this control you can identify the SOD violations that occurred from preventative and detective SOD analysis. It helps you to govern and monitor SOD violations across on-premises, hybrid, and cloud infrastructures.</p>
            </li>
            <li>
                <p><strong>Access Approvals controls</strong>: Access Requests with the same requestor and approver is one of the non-compliance action that needs to be immediately addressed. Using the Access Approvals control, it enables identifying access approvals that have requestor and approver as the same user. Other examples: incorrect approvals given, approvals given for Critical entitlements, entitlements with SOD violations. &#160;&#160;</p>
            </li>
            <li>
                <p><strong>Firefighter access review</strong>: Emergency Access are time-bound access given for a specific duration with a start and end date and time. Using this control, you can check the Emergency accesses provided. In case, if there is an Emergency Access request that is waiting for approval for a significant duration, can be checked using the control. In addition, Emergency Access given more than required can also be tracked.</p>
            </li>
            <li>
                <p><strong>Completeness and correctness of IT General Controls (ITGC)</strong>: Saviynt provides ITGC compliant controls which enables checks on whether the baked-in controls are as per ITGC standards or not, whether the controls are in entirety or partially implemented, and are those controls correctly applied or not. &#160;</p>
            </li>
        </ol>
        <h2 id="AssuredCompliance-SystemControls">System Controls</h2>
        <ol>
            <li>
                <p><strong>Data Integrity checks</strong>: Data integrity checks help in monitoring if the data is lost in transition or it is changing in transition. For example, you can monitor if access permissions provisioned from are not being provided on the target application. Also, failure of system or connection between IGA and third-party application is another check that can be monitored using this control. </p>
            </li>
            <li>
                <p><strong>Failure notifications and recovery</strong>: Using this control you can send failure notifications and provide actions to recover from the failed system events. For example, creating an account in IGA and provisioning to an application is failing. Using this control, you can check such failed actions and perform actions to recover from those.</p>
            </li>
            <li>
                <p><strong>Job schedule monitoring</strong>: IGA uses various types of jobs that can be scheduled to perform different actions such as importing data to IGA, performing provisioning/de-provisioning, running detective rules etc. If the jobs scheduled are failing then these can be monitored using the control. </p>
            </li>
            <li>
                <p><strong>Object (SOD, Workflow, etc.) audit &amp; history changes</strong>: Using this control, you can monitor the history of actions being done in various objects such as SOD, Workflow, etc. Incorrect actions done or critical changes done that are detrimental can be checked to track who has done the changes and when using this control.  </p>
            </li>
        </ol>
    </body>
</html>